Zum Hauptinhalt springen

Phone Number Validation

Validate and enrich phone numbers with carrier, type, location, and timezone information.

Endpoint

GET /api/v1/phone?number={phone}&countryCode={cc}

Parameters

ParameterTypeRequiredDescription
numberstringYesPhone number (E164 or local format)
countryCodestringNoISO 3166-1 alpha-2 country code

Response

{
"number": "+34912345678",
"valid": true,
"validE164": true,
"e164Format": "+34912345678",
"internationalFormat": "+34 912 345 678",
"nationalFormat": "912 345 678",
"countryCode": "ES",
"countryName": "Spain",
"eu": true,
"carrier": "Telefonica",
"phoneType": "landline",
"location": "Madrid",
"timezones": ["Europe/Madrid"]
}

Phone Types

TypeDescription
landlineFixed line
mobileMobile phone
landline_or_mobileCould be either
tollfreeToll-free number
premiumPremium rate
voipVoice over IP
voicemailVoicemail
otherUnknown type